diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index a97a5a132..9bde10972 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -559,6 +559,18 @@ def index():
         version = request.user_agent.version and int(
             request.user_agent.version.split('.')[0])
 
+        # browser version returned by edge browser is actual edgehtml
+        # engine version. Below code gets actual browser version using
+        # edgehtml version
+        if browser == 'edge':
+            engine_to_actual_browser_version = {
+                15: 39,
+                16: 41,
+                17: 42,
+                18: 44
+            }
+            version = engine_to_actual_browser_version[version]
+
         browser_name = None
         browser_known = True
         if browser == 'chrome' and version < 72:
